Subject: bug#36354: 26.1; In re-builder the command `reb-copy' doesn't copy the regex correctly in string mode, Recipe

From: leo <[email-masked]>
Date: Wed, 10 Jul 2019 15:57:31 +1000

That 's why I filed the bug. 

You'd expect that the copy function adapts to the syntax mode the builder is in. 

On Tue, 9 Jul 2019, at 7:17 PM, Noam Postavsky wrote:
> Lars Ingebrigtsen <[email-masked]> writes:
> 
> > leo <[email-masked]> writes:
> >
> >>
> >> 1. Start `re-builder'.
> >> 2. Build a regex in `re-builder'
> >> 3. Switch via C-c TAB to "string" syntax .
> >> 4. Copy the regex via `reb-copy'
> >>
> >> The result cannot be pasted in any regex replace prompt, but that is
> >> exactly the place where string syntax is used.
> >
> > This seems like a deliberate feature:
> >
> > ;; (The compiled string form will be copied by `reb-copy')
> 
> I agree it seems to be a deliberate decision, but I'm not so sure it's a
> good one.
>